/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package Modelo;

/**
 *
 * @author citla
 */
public class Asiento extends Zona{
    
    private String id;
    private boolean estado;

    public Asiento(String id, boolean estado, String nombre, double precio, Asiento[][] asientos, double montoRecaudado, Zona[] zonas) {
        super(nombre, precio, asientos, montoRecaudado, zonas);
        this.id = id;
        this.estado = estado;
    }

    public String getId() {
        return id;
    }

    public boolean getEstado() {
        return estado;
    }

    public void setId(String id) {
        this.id = id;
    }

    public void setEstado(boolean estado) {
        this.estado = estado;
    }

    public void comprarAsiento(double dinero){
    }
    
    @Override
    public String toString() {
        return "Asiento{" + "id=" + id + ", estado=" + estado + '}';
    }
    
    
}
